Bug 108255 - c.a.util.paramreter.ParameterRecord & RuntimeConfigLoader don't work with config loader tool
Summary: c.a.util.paramreter.ParameterRecord & RuntimeConfigLoader don't work with con...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-28 19:00 UTC by Daniel Berrange
Modified: 2007-04-18 16:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:26:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-28 19:00:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
The classes com.arsdigita.util.parameter.ParameterRecord & RuntimeConfigLoader
don't work with config loader tool. Apps using these classes will get various
exceptions, not limited to NPEs, if they are loaded with 'ccm-conf init
[appname]'. These classes should be removed before their use becomes widespread
to eliminate future pain for developers.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Try to load an app using ParameterRecord instead of AbstractConfig
2.
3.
    

Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:26:37 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.